Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxMetaMapBuilder

    java.lang.Object
      groovy.jmx.builder.JmxMetaMapBuilder

    class JmxMetaMapBuilder
    extends Object

The JmxMetaMapBuilder class is used to collect meta data passed in JmxBuilder nodes. Once collected, the data is then normalized to be represented uniformly regardless of the resource where it was obtained.

Authors:
  Vladimir Vivien

Method Summary
`static Map` | `buildAttributeMapFrom(def object)` Builds attribute meta map with default information from an instance of an object.
`static Map` | `buildAttributeMapFrom(def object, def descCollection)` Sanitizes and builds an attribute meta map from a descriptor collection.
`static Map` | `buildConstructorMapFrom(def object)` Returns a meta map of constructors from given object.
`static Map` | `buildConstructorMapFrom(def object, def descCollection)` Builds a fully normalized constructor meta map.
`static def` | `buildListenerMapFrom(def descCollection)` Creates a fully-normalized meta map for agiven collection of listeners.
`static Map` | `buildObjectMapFrom(def object)` Builds a complete meta map graph for the specified object using default values.
`static Map` | `buildObjectMapFrom(def object, def descriptor)` Builds a complete meta map graph for a given target and descriptor.
`static Map` | `buildOperationMapFrom(def object)` Returns a meta map of operations from given object.
`static Map` | `buildOperationMapFrom(def object, def descCollection)`
`static Map` | `buildParameterMapFrom(def method)` Builds a normalized parameter meta map for all params on provided method.
`static Map` | `buildParameterMapFrom(def method, def descCollection)` Builds a fully normalized parameter meta map for the method and the given meta map.
`static Map` | `createListenerMap(def descriptor)` Builds normalized meta map of the provided listener descriptor.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### buildAttributeMapFrom

    static Map buildAttributeMapFrom(def object)

  Builds attribute meta map with default information from an instance of an object.
  Parameters:
    `the` - object from which attribute info will be retrieved
  Returns:
    the meta map for the attribute

### buildAttributeMapFrom

    static Map buildAttributeMapFrom(def object, def descCollection)

  Sanitizes and builds an attribute meta map from a descriptor collection. The collection can either be a map of the form [attribName:[descriptor...],...] or [attribName1,...attribNameN]. The code guests sensible defaults when values are not provided
  Parameters:
    `the` - object about which meta data is collected
    `descriptor` - collection: either a map or a list
  Returns:
    a Map of meta information about the object.

### buildConstructorMapFrom

    static Map buildConstructorMapFrom(def object)

  Returns a meta map of constructors from given object.
  Parameters:
    `object` - to profile
  Returns:
    The meta map generated.

### buildConstructorMapFrom

    static Map buildConstructorMapFrom(def object, def descCollection)

  Builds a fully normalized constructor meta map.
  Parameters:
    `the` - object where constructor is defined.
    `the` - meta map that will be normalized
  Returns:
    a normalized meta map for the constructor

### buildListenerMapFrom

    static def buildListenerMapFrom(def descCollection)

  Creates a fully-normalized meta map for agiven collection of listeners.
  Parameters:
    `-` - collection of descriptors to normalize
  See Also:
    JmxMetaMapBuilder.createListenerMap

### buildObjectMapFrom

    static Map buildObjectMapFrom(def object)

  Builds a complete meta map graph for the specified object using default values. All generated attributes are set to read-only.
  Parameters:
    `object` - used to build meta data graph
  Returns:
    fully-realized meta map of the object
  See Also:
    buildAttributeMapFrom(Object)
    buildConstructorMapFrom(Object)
    buildOperationMapFrom(Object)

### buildObjectMapFrom

    static Map buildObjectMapFrom(def object, def descriptor)

  Builds a complete meta map graph for a given target and descriptor.
  Parameters:
    `object` - used to build meta data graph
    `descriptor` - a full descriptor map describing object attributes and ops.
  Returns:
    fully-realized meta map of the object
  See Also:
    buildAttributeMapFrom(Object, Map)
    buildConstructorMapFrom(Object, Map)
    buildOperationMapFrom(Object, Map)

### buildOperationMapFrom

    static Map buildOperationMapFrom(def object)

  Returns a meta map of operations from given object.
  Parameters:
    `object` - to profile
  Returns:
    The meta map generated.

### buildOperationMapFrom

    static Map buildOperationMapFrom(def object, def descCollection)

### buildParameterMapFrom

    static Map buildParameterMapFrom(def method)

  Builds a normalized parameter meta map for all params on provided method.
  Parameters:
    `the` - method with parameters to normalized
  Returns:
    the normalized map

### buildParameterMapFrom

    static Map buildParameterMapFrom(def method, def descCollection)

  Builds a fully normalized parameter meta map for the method and the given meta map.
  Parameters:
    `the` - method from which to extract normalized info.
    `a` - given meta map which will be normalized
  Returns:
    the normalized map

### createListenerMap

    static Map createListenerMap(def descriptor)

  Builds normalized meta map of the provided listener descriptor.
  Parameters:
    `descriptor` - - descriptive data collected from JmxBuilder listener nodes.
  Returns:
    - fully normalized meta map of listener data.

Copyright © 2003-2010 The Codehaus. All rights reserved.